org.gitana.platform.support

## Interface ResultMap<V>

All Superinterfaces:
  Map<String,V>, Paginated

All Known Implementing Classes:
  ResultMapImpl

    public interface ResultMap<V>
    extends Map<String,V>, Paginated

Author:
  uzi

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Method Summary

All Methods Instance Methods Abstract Methods
`List<V>` `asList()`
`List<String>` `keyList()`
`int` `offset()`
`int` `totalRows()`

### Methods inherited from interface java.util.Map

`clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from interface org.gitana.platform.support.Paginated

`size`

### Method Detail

#### totalRows

    int totalRows()

Specified by:
  `totalRows` in interface `Paginated`
Returns:
  total number of rows available in the database

#### offset

    int offset()

Specified by:
  `offset` in interface `Paginated`
Returns:
  the offset into the database results

#### keyList

    List<String> keyList()

Returns:
  a thread-safe copy of the keys of this map

#### asList

    List<V> asList()

Returns:
  values as a list